/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.TipoCentro;
import pe.siso.horario.Beans.TipoGrado;

/**
 *
 * @author fcelestino
 */
public interface TipoGradoDAO {
    public ArrayList<TipoGrado> listarTipoGrado() throws Exception;
    public ArrayList<TipoGrado> listarTipoGrado(String codigoNivel,String codigoCentro) throws Exception;
    public void registrarTipoGrado(String nombreTipoGrado,String codigoCentro,String codigoNivel) throws Exception;
    public ArrayList<TipoGrado> cargarTipoGrado(String codigoCentro,String codigoNivel) throws Exception;
    public ArrayList<TipoGrado> cargarTipoGrado(String codigoSede,String codigoTipoCentro,String codigoCentro,String codigoNivel) throws Exception;
    public void cambiarEstado(String dato, String codigoTipoGrado) throws Exception;
    public void actualizar(String codigoTipoGrado, String nombre) throws Exception;
    public TipoGrado nombreTip(String codTipo)throws Exception;
    public int cantidadTipoGrado(String codTipo)throws Exception;
    
}
